Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa
Class HibernateAdapter

    java.lang.Object
      org.modeshape.connector.store.jpa.HibernateAdapter

All Implemented Interfaces:
  JpaAdapter

    public class HibernateAdapter

extends Object
implements JpaAdapter

Hibernate 3-specifc implementation of JpaAdapter

Constructor Summary
`HibernateAdapter()`

Method Summary
`String` | `determineDialect(javax.persistence.EntityManager entityManager)` Determines the dialect in an implementation-specific manager
`javax.persistence.EntityManagerFactory` | `getEntityManagerFactory(JpaSource source)` Returns an `EntityManagerFactory` based on the values in the given `source`.
`Properties` | `getProperties(JpaSource source)` Maps the `JpaSource` properties to the corresponding properties in the JPA implementation
`protected void` | `setProperty(Properties configurator, String propertyName, int propertyValue)`
`protected void` | `setProperty(Properties configurator, String propertyName, String propertyValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateAdapter

    public HibernateAdapter()

Method Detail

### getProperties

    public Properties getProperties(JpaSource source)

  Description copied from interface: `JpaAdapter`
  Maps the `JpaSource` properties to the corresponding properties in the JPA implementation

  Specified by:
    `getProperties` in interface `JpaAdapter`
  Parameters:
    `source` - the JPA source to map; may not be null
  Returns:
    a map of properties that can be passed to `Persistence.createEntityManagerFactory(String, Map)`; never null

### setProperty

    protected void setProperty(Properties configurator,
                               String propertyName,
                               String propertyValue)

### setProperty

    protected void setProperty(Properties configurator,
                               String propertyName,
                               int propertyValue)

### determineDialect

    public String determineDialect(javax.persistence.EntityManager entityManager)

  Description copied from interface: `JpaAdapter`
  Determines the dialect in an implementation-specific manager

  Specified by:
    `determineDialect` in interface `JpaAdapter`
  Parameters:
    `entityManager` - an open and valid `EntityManager`; may not be null
  Returns:
    a string describing the dialect that will be used to `set the dialect property on the source`; null indicates that the dialect could not be determined

### getEntityManagerFactory

    public javax.persistence.EntityManagerFactory getEntityManagerFactory(JpaSource source)

  Description copied from interface: `JpaAdapter`
  Returns an `EntityManagerFactory` based on the values in the given `source`.

  Specified by:
    `getEntityManagerFactory` in interface `JpaAdapter`
  Parameters:
    `source` - the `JpaSource` to use as a source of settings; may not be null
  Returns:
    an entity manager factory built from the settings on the source; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.